For the complete documentation index, see llms.txt. This page is also available as Markdown.

Detayları Getirir

İrsaliyenin detayını getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

İrsaliyenin detayını getirir.

application/json
UUIDstring · nullableOptional
DespatchTypestring · nullableOptional
DespatchProfilestring · nullableOptional
DespatchNumberstring · nullableOptional
EnvelopeUUIDstring · nullableOptional
EnvelopeAliasstring · nullableOptional
UBLVersionIDstring · nullableOptional
CustomizationIDstring · nullableOptional
SendDatestring · nullableOptional
IssueDatestring · nullableOptional
CurrencyCodestring · nullableOptional
NumberOfItemsinteger · int32Optional
TaxAmountnumber · doubleOptional
AdditionalDocumentCountinteger · int32Optional
DespatchAnswerstring · enumOptionalPossible values:
get/Sale/{UUID}/Details
GET /edespatch/Sale/{UUID}/Details HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "UUID": "text",
  "DespatchType": "text",
  "DespatchProfile": "text",
  "DespatchNumber": "text",
  "EnvelopeUUID": "text",
  "EnvelopeAlias": "text",
  "UBLVersionID": "text",
  "CustomizationID": "text",
  "SendDate": "text",
  "IssueDate": "text",
  "CurrencyCode": "text",
  "NumberOfItems": 1,
  "TaxAmount": 1,
  "AdditionalDocumentCount": 1,
  "DespatchAnswer": "unknown"
}
var client = new RestClient("https://apitest.nilvera.com/edespatch/Sale/64eea613-3c5f-434c-9dfd-c6856a938781/Details");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/edespatch/Sale/64eea613-3c5f-434c-9dfd-c6856a938781/Details',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated